#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.6'
__CHEETAH_versionTuple__ = (3, 2, 6, 'final', 0)
__CHEETAH_genTime__ = 1673744912.749017
__CHEETAH_genTimestamp__ = 'Sun Jan 15 01:08:32 2023'
__CHEETAH_src__ = '/home/oe1/atv71mipsel/build-enviroment/builds/openatv/release/dm520/tmp/work/mips32el-oe-linux/enigma2-plugin-extensions-openwebif/gitAUTOINC+ed415e65a3-r0/git/plugin/controllers/views/ajax/foldertree.tmpl'
__CHEETAH_srcLastModified__ = 'Sun Jan 15 01:08:24 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class foldertree(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(foldertree, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
''')
        _v = VFFSL(SL,"tstrings",True)['folders'] # "$tstrings['folders']" on line 3, col 1
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['folders']")) # from line 3, col 1.
        write('''<hr>
<div style="width: 100%;height: 220px;overflow:scroll;">
<div id="foldertree"></div>
</div>
''')
        if VFFSL(SL,"showbookmarks",True): # generated from line 7, col 1
            _v = VFFSL(SL,"tstrings",True)['bookmarks'] # "$tstrings['bookmarks']" on line 8, col 1
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['bookmarks']")) # from line 8, col 1.
            write('''<hr>
<div style="width: 100%;height: 220px;overflow:scroll;">
\t<ol class="sellist" id="folderbookmarks">
''')
            for location in VFFSL(SL,"locations",True): # generated from line 11, col 2
                write('''\t\t<li>''')
                _v = VFFSL(SL,"location",True) # '$location' on line 12, col 7
                if _v is not None: write(_filter(_v, rawExpr='$location')) # from line 12, col 7.
                write('''</li>
''')
            write('''\t</ol>
</div>
''')
        write('''
<link type="text/css" rel="stylesheet" href="css/jstree.min.css">
<script type="text/javascript" src="js/jstree-3.3.12.min.js"></script>
<script>
$(function() {
  $(\'#foldertree\').jstree({
    \'core\' : {
      \'data\' : {
        "url" : "/file?tree",
        "data" : function (node) {
          return { "id" : node.id };
        }
      }
    }
  });
});
$(\'#foldertree\').on("changed.jstree", function (e, data) {
\tselectedfolder = data.selected[0];
});

</script>
''')
        if VFFSL(SL,"showbookmarks",True): # generated from line 40, col 1
            write('''<script>
$(\'#folderbookmarks\').selectable({
\tselected: function ( event, ui ) {
\t\tvar ids = $(\'#folderbookmarks .ui-selected\').map(function() {
\t\t\tselectedfolder = $(this).html();
\t\t});
\t},classes: {
\t\t"ui-selected": getActiveCls()
\t}
});
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_foldertree = 'respond'

## END CLASS DEFINITION

if not hasattr(foldertree, '_initCheetahAttributes'):
    templateAPIClass = getattr(foldertree,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(foldertree)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=foldertree()).run()


